# &kde; kasutaja käsiraamat

2008-10-03
0.01.01
meinproc4
8

# `meinproc4`

&kde; XML-i translaator

## Kokkuvõte

    meinproc4 --help Üldised võtmed Qt võtmed KDE võtmed --cache fail --check --htdig --srcdir --param võti=väärtus   -o --output   fail  --stdout --stylesheet xsl docbook_fail

## Kirjeldus

`meinproc4` teisendab DocBook-failid HTML-iks.

## Üldised võtmed

`--author`

  Näitab infot autori kohta.

`--help`

  Näitab abiteadet võtmete kohta.

`--help-all`

  Näitab kõiki võtmeid.

`--help-kde`

  Näitab KDE spetsiifilisi võtmeid.

`--help-qt`

  Näitab Qt spetsiifilisi võtmeid.

`--license`

  Näitab litsentsiinfot.

`-v``--version`

  Näitab versiooniinfot.

## Rakenduse võtmed

`--cache` `fail`

  Dokumendile puhvrifaili loomine

`--check`

  Dokumendi õigsuse kontroll

      Väljund võib olla veidi piinarikas, sest ka pisike viga võib põhjustada terve rea vigu.
      Soovitatav on otsida üles esimene viga, parandada see, salvestada fail ja käivitada meinproc4 uuesti.

`--htdig`

  ht://dig ühilduva indeksi loomine

`-o`, `--output` `fail`

  Kogu dokumendi väljastamine `fail`i

`--stdout`

  Kogu dokumendi väljastamine standardväljundisse (stdout)

`--stylesheet` `xsl`

  Kasutatav laaditabel

`--srcdir` `kataloog`

  Juurkataloogi määramine, kust otsida kdelibs'i

`--param` võti=väärtus

  Laaditabelile edastatavad parameetrid.

## Kasutamine

Levinuim `meinproc4` käivitamise viis on lihtsalt

    meinproc4 docbook-fail

kus docbook-fail on tavaliselt index.docbook. See käsk loob DocBook-faili põhjal HTML-leheküljed. Pane tähele, et neid lehekülgi näitavad ainult KDE põhised brauserid (näiteks Konqueror).

Kui sul on tarvis näha HTML-väljundit mõnes muus brauseris, kasuta käsku asukohas brauser tingimusel näidis kui sees

    meinproc4 --stylesheet laaditabeli-nimi docbook-fail

kus laaditabeli-nimi on mõne kataloogis $KDEDIR/share/apps/ksgmltools/customization leiduva XSL-laaditabeli täielik asukoht. Veebiks kõlbliku väljundi loomiseks võib kasutada näiteks `kde-web.xsl` või `kde-chunk-online.xsl`. Täpsemalt kõneleb sellest kataloogis asuv README-fail.

## Vaata ka

kdeoptions(7), qtoptions(7)

## Vead

Vigu võib olla mustmiljon, õige koht neist teadaandmiseks on bugs.kde.org.